joomla transteam350px

 

System - legacy plugin (liitännäinen) on sovitin Joomal 1.0-sarjalle kirjoitettujen komponenttien ja 1.5-sarjan ydinjärjestelmän välillä. Legacy liitännäisellä ei ole sen paremmin ydinjärjestelmään kuin komponenttien toimintaan vaikutusta. Kaikki mikä toimii 1.0:ssa toimii 1.5:ssä legacy plugin päällä jos komponentti on tehty edes tällä tasolla yhteensopivaksi 1.5 sarjan kanssa.

Joomla 1.5.4 versiosta alkaen näet liitännäisen tarpeellisuuden katsomalla Lisäosat > Asenna ja poista > Komponentit, Modullit ja Liitännäiset ruutujen viimeistä saraketta. Punainen merkki kertoo mitkä lisäosat tarvitsevat Yhteensopivuustilan toteuttavaa liitännäistä.

Joomla 1.7:ssä vastaavaa liitännäistä ei ole, eikä sellaista ole mahdollista yleisellä tasolla kirjoittaakaan.